Subject: linux-next: build failure after merge of the final tree

From: Mark Brown <[email-masked]>
Date: Wed, 11 Mar 2026 15:57:50 +0000

Hi all,

During the final build, today's linux-next build (arm64 allyesconfig)
failed like this:

/tmp/next/build/arch/arm64/kvm/hyp/nvhe/trace.c:16:10: fatal error: simple_ring_buffer.c: No such file or directory
   16 | #include "simple_ring_buffer.c"
      |          ^~~~~~~~~~~~~~~~~~~~~~

Caused by commit

  680a04c333fa2 (KVM: arm64: Add tracing capability for the nVHE/pKVM hyp)

It's not clear to me how this is supposed to work for O= builds like
-next does, the Makefile does:

   CFLAGS_trace.nvhe.o += -I$(objtree)/kernel/trace/

which is pointing at the object directory but simple_ring_buffer.c isn't
generated so I'd expect to be looking for it relative to $(src).  I have
ignored this for today for the purposes of -next.